{% extends "web/base.html" %}

{% load i18n %}

{% block content %}
<div class="content">
    <div>
        {% for book in books|dictsort:'number' %}
            {% with passages=book.passages.all %}
            <div class="mx-4">
                <details>
                    <summary>{% translate "Book" %} {{ book.number }}</summary>
                    {% translate "Passage" %}
                    {% for passage in passages|dictsort:'fragment' %}
                        <a href="{% url 'web:passage-detail' book.number passage.fragment passage.sub_fragment %}">
                        {{book.number}}.{{passage.fragment}}{{passage.sub_fragment}}</a>{% if not forloop.last %}, {% else %}.{% endif %}
                    {%endfor%}
                </details>
            </div>
            {% endwith %}
        {% endfor %}
    </div>
</div>
{% endblock %}
